import joi from "joi";
export interface BaseHighlightOptions {
    readonly themeIdOrPath?: string;
    readonly languageIdOrPath?: string;
    readonly width: number;
}
export declare function BaseHighlightOptionsSchema(): Promise<joi.ObjectSchema>;
export interface HighlightSourceOptions extends BaseHighlightOptions {
    readonly source: string;
}
export declare function HighlightSourceOptionsSchema(): Promise<joi.ObjectSchema>;
export declare enum DiagnosticSeverity {
    Error = "error",
    Warning = "warning",
    Info = "info",
    Hint = "hint"
}
export interface HighlightDiagnosticOptions extends BaseHighlightOptions {
    readonly source: string;
    readonly severity: DiagnosticSeverity;
    readonly range: {
        readonly from: {
            readonly line: number;
            readonly column: number;
        };
        readonly to: {
            readonly line: number;
            readonly column: number;
        };
    };
}
export declare function HighlightDiagnosticOptionsSchema(): Promise<joi.ObjectSchema>;
export interface HighlightDiffOptions extends BaseHighlightOptions {
    readonly beforeSource: string;
    readonly afterSource: string;
}
export declare function HighlightDiffOptionsSchema(): Promise<joi.ObjectSchema>;
//# sourceMappingURL=options.d.ts.map