import { IRawThemeSetting } from "vscode-textmate";
export declare enum ThemeVariation {
    Light = "light",
    Dark = "dark",
    HighContrast = "high-contrast"
}
export interface ThemeMetadata {
    readonly id: string;
    readonly label: string;
    readonly variation: ThemeVariation;
}
export declare type ThemeMetadataFile = readonly ThemeMetadata[];
export declare type KnownColor = "editor.foreground" | "editor.background" | "editorLineNumber.foreground" | "editorWhitespace.foreground" | "editorError.foreground" | "editorWarning.foreground" | "editorInfo.foreground" | "editorHint.foreground" | "diffEditor.insertedTextBackground" | "diffEditor.removedTextBackground";
export interface ResolvedTheme {
    readonly colors: Readonly<Record<KnownColor, string>>;
    readonly settings: readonly IRawThemeSetting[];
}
export declare function getSupportedThemes(): Promise<Readonly<ThemeMetadataFile>>;
//# sourceMappingURL=metadata.d.ts.map