"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.REPO_ROOT = exports.readAndCacheFile = void 0;
const fs_extra_1 = require("fs-extra");
const path_1 = __importDefault(require("path"));
const CACHE = new Map();
async function readAndCacheFile(...parts) {
    const filePath = path_1.default.join(...parts);
    let entry = CACHE.get(filePath);
    if (!entry) {
        entry = await fs_extra_1.readJson(filePath);
        CACHE.set(filePath, entry);
    }
    return entry;
}
exports.readAndCacheFile = readAndCacheFile;
exports.REPO_ROOT = (async () => {
    let currentDir = __dirname;
    while (true) {
        if (currentDir === path_1.default.resolve("/")) {
            throw new Error("Cannot determine repository root.");
        }
        if (await fs_extra_1.pathExists(path_1.default.join(currentDir, "package.json"))) {
            return currentDir;
        }
        currentDir = path_1.default.dirname(currentDir);
    }
})();
//# sourceMappingURL=utils.js.map